WordPress.org

Ready to get started?Download WordPress

Forums

YITH WooCommerce Zoom Magnifier
[resolved] Version 1.0.5 php header error (18 posts)

  1. KTC_88
    Member
    Posted 10 months ago #

    I just updated the plugin and now I'm getting this php error.

    <br />
    <b>Warning</b>:  Cannot modify header information - headers already sent by (output started at /home/metalart/public_html/wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in <b>/home/metalart/public_html/wp-content/plugins/woocommerce/classes/class-wc-session-handler.php</b> on line <b>63</b><br />

    I tried to reinstall the plugin but it did not fix the problem.

    http://wordpress.org/plugins/yith-woocommerce-zoom-magnifier/

  2. Azuro
    Member
    Posted 10 months ago #

    I have the same problem.

  3. rjwinter
    Member
    Posted 10 months ago #

    Me too:

    Warning: Cannot modify header information - headers already sent by (output started at /hp/al/aa/hg/www/cigarboxguitars.de/wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in /hp/al/aa/hg/www/xxx.de/wp-content/plugins/woocommerce/classes/class-wc-session-handler.php on line 63

    Warning: Cannot modify header information - headers already sent by (output started at /hp/al/aa/hg/www/xxx.de/wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in /hp/al/aa/hg/www/cigarboxguitars.de/wp-content/plugins/woocommerce/woocommerce-functions.php on line 1381

    Warning: call_user_func_array() [function.call-user-func-array]: First argument is expected to be a valid callback, 'yit_print_custom_style' was given in /hp/al/aa/hg/www/xxx.de/wp-includes/plugin.php on line 406

    It was working yesterday until I updated,

    Regards!

  4. rjwinter
    Member
    Posted 10 months ago #

    Is there a link to the previous version?

  5. Jmantis
    Member
    Posted 10 months ago #

    oh... I thought I did something wrong... But I see that everyone else has the same problem after update. Hopefully they are going to fix it soon.

  6. DomainDomino
    Member
    Posted 10 months ago #

  7. rjwinter
    Member
    Posted 10 months ago #

    Thank you. Just installed the previous version and am ok now.

  8. calebweeks
    Member
    Posted 10 months ago #

    I, too, had a similar/the same error running Version 1.0.5.

    These were our errors:

    PHP Warning: Cannot modify header information - headers already sent by (output started at …wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in …/wp-content/plugins/woocommerce/classes/class-wc-session-handler.php on line 63

    PHP Warning: Cannot modify header information - headers already sent by (output started at …/wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in …/wp-content/plugins/woocommerce/classes/class-wc-session-handler.php on line 63

    PHP Warning: Cannot modify header information - headers already sent by (output started at …/wp-content/plugins/yith-woocommerce-zoom-magnifier/class.yith-wcmg-frontend.php:1) in …/wp-includes/pluggable.php on line 875

    Apparently, the plugin conflicts with the wordpress' URL rewriting logic and does not allow the plugin dispatcher to finish its work and to rewrite the URL.

    In practice, if a visitor types in "thecopperfoxgallery.com/shop" they would get a blank page. In normal circumstances, a trailing slash ("/") gets added, as in "thecopperfoxgallery.com/shop/". This seems to be the error.

    Hope that feedback helps towards the next update!

    Thanks, yith, for a great plugin :-)

    PS Our host, Namecheap, allowed output buffering (by modifying our php.ini file), so all the headers will be stored and allowed to be over-sent, and now any existing link will work with or without slash. They noted, however, that it is just like a workaround and this particular error should be reported to the plugin developers. Thanks guys!

    PSS The theme used for the site referenced above is The Retailer, which we have been very pleased with.

  9. azhkuro
    Member
    Posted 10 months ago #

    I have the same problem after updated this plugin (version 1.0.5)

    I got no solutions until checked the plugin directory, filename class.yith-wcmg-frontend.php

    Open the file and delete "space" before <?php
    refresh your browser. That works for me!

    Hope that helps :)

  10. newhalo214
    Member
    Posted 10 months ago #

    I have the same problem.

  11. newhalo214
    Member
    Posted 10 months ago #

    thank you azhkuro! I fixed!

  12. azhkuro
    Member
    Posted 10 months ago #

    @newhalo214

    I'm glad to hear it works for you :)

  13. wpler
    Member
    Posted 10 months ago #

    Thanks @azhkuro, this works ;)

  14. Azuro
    Member
    Posted 10 months ago #

    Thank @azhkuro! I fixed...

  15. KTC_88
    Member
    Posted 10 months ago #

    I guess we can count this as resolved.
    There are two solutions.

    1: Use version 1.0.4 found in the Developers section.

    2: Do as azhkuro suggests-

    I got no solutions until checked the plugin directory, filename class.yith-wcmg-frontend.php

    Open the file and delete "space" before <?php
    refresh your browser. That works for me!

  16. Jmantis
    Member
    Posted 10 months ago #

    Actually there is one more solution: update to 1.0.6 :)

  17. KTC_88
    Member
    Posted 10 months ago #

    Touché

  18. azhkuro
    Member
    Posted 10 months ago #

    @wpler @Azuro @KTC_88
    Yup! say thanks to author for developing awesome plugin :)

Reply

You must log in to post.

About this Plugin

About this Topic

Tags